Package org.springframework.security.web.server

# Class WebFilterExchange

java.lang.Object
org.springframework.security.web.server.WebFilterExchange

public class WebFilterExchange extends Object
A composite of the `ServerWebExchange` and the `WebFilterChain`. This is typically used as a value object for handling success and failures.

Since:
  5.0

## Constructor Summary

Constructors
Constructor
Description
`WebFilterExchange(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.web.server.WebFilterChain`
`getChain()`
The filter chain
`org.springframework.web.server.ServerWebExchange`
`getExchange()`
Get the exchange

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WebFilterExchange

public WebFilterExchange(org.springframework.web.server.ServerWebExchange exchange, org.springframework.web.server.WebFilterChain chain)

## Method Details

### getExchange

public org.springframework.web.server.ServerWebExchange getExchange()
Get the exchange

Returns:
  the exchange. Cannot be `null`

### getChain

public org.springframework.web.server.WebFilterChain getChain()
The filter chain

Returns:
  the filter chain. Cannot be `null`